org.apache.ignite.internal

## Interface GridTaskSessionInternal

All Superinterfaces:
  ComputeTaskSession

All Known Implementing Classes:
  GridJobSessionImpl, GridTaskSessionImpl

    public interface GridTaskSessionInternal
    extends ComputeTaskSession

Internal task session interface.

### Method Summary

Methods
`String` `getCheckpointSpi()`
`IgniteUuid` `getJobId()`
`boolean` `isClosed()`
`boolean` `isFullSupport()`
`boolean` `isTaskNode()`
`void` `onClosed()` Closes session.
`GridTaskSessionInternal` `session()`
`UUID` `subjectId()`

### Methods inherited from interface org.apache.ignite.compute.ComputeTaskSession

`addAttributeListener, getAttribute, getAttributes, getClassLoader, getEndTime, getId, getJobSibling, getJobSiblings, getStartTime, getTaskName, getTaskNodeId, getTopology, loadCheckpoint, mapFuture, refreshJobSiblings, removeAttributeListener, removeCheckpoint, saveCheckpoint, saveCheckpoint, saveCheckpoint, setAttribute, setAttributes, waitForAttribute, waitForAttribute, waitForAttributes, waitForAttributes`

### Method Detail

#### getCheckpointSpi

    String getCheckpointSpi()

Returns:
  Checkpoint SPI name.

#### getJobId

    @Nullable
    IgniteUuid getJobId()

Returns:
  Job ID (possibly `null`).

#### isTaskNode

    boolean isTaskNode()

Returns:
  `True` if task node.

#### onClosed

    void onClosed()

Closes session.

#### isClosed

    boolean isClosed()

Returns:
  Checks if session is closed.

#### session

    GridTaskSessionInternal session()

Returns:
  Task session.

#### isFullSupport

    boolean isFullSupport()

Returns:
  `True` if checkpoints and attributes are enabled.

#### subjectId

    UUID subjectId()

Returns:
  Subject ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017